Bug 1305936 - ClassCastException on Java2D while connecting an external display
ClassCastException on Java2D while connecting an external display
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elliott Baron
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 11:10 EST by Clément DAVID
Modified: 2017-10-13 13:36 EDT (History)
6 users (show)

See Also:
Fixed In Version: java-1.8.0-openjdk-1.8.0.121-3.b14.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-13 13:36:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
openjdk bug system JDK-7172749 None None None 2016-02-12 12:44 EST

  None (edit)
Description Clément DAVID 2016-02-09 11:10:18 EST
How reproducible:

Runs with a java application (in my case Scilab) and connect an external display (in my case HDMI on Intel free driver).

Actual results:

Exception in thread "AWT-EventQueue-0" java.lang.ClassCastException: sun.awt.image.BufImgSurfaceData cannot be cast to sun.java2d.xr.XRSurfaceData
	at sun.java2d.xr.XRPMBlitLoops.cacheToTmpSurface(XRPMBlitLoops.java:145)
	at sun.java2d.xr.XrSwToPMBlit.Blit(XRPMBlitLoops.java:353)
	at sun.java2d.SurfaceDataProxy.updateSurfaceData(SurfaceDataProxy.java:498)
	at sun.java2d.SurfaceDataProxy.replaceData(SurfaceDataProxy.java:455)
	at sun.java2d.SurfaceData.getSourceSurfaceData(SurfaceData.java:233)
	at sun.java2d.pipe.DrawImage.renderImageCopy(DrawImage.java:566)
	at sun.java2d.pipe.DrawImage.copyImage(DrawImage.java:67)
	at sun.java2d.pipe.DrawImage.copyImage(DrawImage.java:1014)
	at sun.java2d.SunGraphics2D.drawImage(SunGraphics2D.java:3318)
	at sun.java2d.SunGraphics2D.drawImage(SunGraphics2D.java:3296)
	at com.sun.java.swing.plaf.gtk.GTKEngine.paintCachedImage(GTKEngine.java:555)
	at com.sun.java.swing.plaf.gtk.GTKPainter.paintViewportBorder(GTKPainter.java:626)
	at javax.swing.plaf.synth.SynthScrollPaneUI$ViewportBorder.paintBorder(SynthScrollPaneUI.java:255)
	at javax.swing.plaf.synth.SynthScrollPaneUI.paint(SynthScrollPaneUI.java:117)
	at javax.swing.plaf.synth.SynthScrollPaneUI.update(SynthScrollPaneUI.java:85)
	at javax.swing.JComponent.paintComponent(JComponent.java:780)

Additional info:
Comment 1 Elliott Baron 2016-02-12 12:44:57 EST
Work seems to be underway to fix this upstream, but is currently targeted to only be fixed in OpenJDK 9.
Comment 2 Fedora End Of Life 2016-11-24 10:28:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Andrew John Hughes 2016-11-24 16:26:06 EST
According to https://bugs.openjdk.java.net/browse/JDK-7172749, we should be picking the fix for this up when we update to 8u112.
Comment 4 Fedora End Of Life 2017-02-28 04:53:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 5 Andrew John Hughes 2017-10-13 13:36:37 EDT
I believe this should have been fixed in the RPMs back in January 2017. Please re-open if this is not the case.

Note You need to log in before you can comment on or make changes to this bug.